Skip to content

# Interface: MenuActionsProps

## Hierarchy

- object

↳ MenuActionsProps

↳ KubeObjectMenuProps

## Index

### Properties

- className
- removeConfirmationMessage
- toolbar
- triggerIcon

### Methods

- removeAction
- updateAction

## Properties

### `Optional` className

• className? : string

Defined in src/renderer/components/menu/menu-actions.tsx:16

### `Optional` removeConfirmationMessage

• removeConfirmationMessage? : React.ReactNode | function

Defined in src/renderer/components/menu/menu-actions.tsx:19

### `Optional` toolbar

• toolbar? : boolean

Defined in src/renderer/components/menu/menu-actions.tsx:17

### `Optional` triggerIcon

• triggerIcon? : string | IconProps | React.ReactNode

Defined in src/renderer/components/menu/menu-actions.tsx:18

## Methods

### `Optional` removeAction

▸ removeAction(): void

Defined in src/renderer/components/menu/menu-actions.tsx:21

Returns: void

### `Optional` updateAction

▸ updateAction(): void

Defined in src/renderer/components/menu/menu-actions.tsx:20

Returns: void